
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
  <script>
import extend from "@/extension/taskinfo/cztask.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "taskId",
      footer: "Foots",
      cnName: "任务信息",
      name: "cz0Task",
      url: "/CZTask/",
      sortName: "CreateDate",
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      taskNum: "",
      palletCode: "",
      roadway: "",
      sourceAddress: "",
      targetAddress: "",
      currentAddress: "",
      nextAddress: "",
      creater: "",
      createDate: "",
    });
    const searchFormOptions = ref([
      [
        { title: "任务号", field: "taskNum", type: "int" },
        { title: "托盘编号", field: "palletCode", type: "like" },
        {
          title: "任务类型",
          field: "taskType",
          type: "selectList",
          dataKey: "taskType",
          data: [],
        },
        {
          title: "任务状态",
          field: "taskState",
          type: "selectList",
          dataKey: "taskState",
          data: [],
        },
      ],
      [
        { title: "起始地址", field: "sourceAddress", type: "like" },
        { title: "目标地址", field: "targetAddress", type: "like" },
        { title: "当前位置", field: "currentAddress", type: "like" },
        { title: "下一位置", field: "nextAddress", type: "like" },
      ],
      [
        { title: "巷道号", field: "roadway", type: "like" },
        { title: "创建人", field: "creater", type: "like" },
        { title: "创建时间", field: "createDate", type: "datetime" },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "taskName",
        title: "任务名称",
        type: "string",
        width: 90,
        align: "left",
      },
    //   {
    //     field: "taskDesc",
    //     title: "任务描述",
    //     type: "string",
    //     width: 200,
    //     align: "left",
    //   },
      {
        field: "taskType",
        title: "任务类型",
        type: "int",
        width: 90,
        align: "left",
        bind: { key: "taskType", data: [] },
      },
      {
        field: "taskStatus",
        title: "任务状态",
        type: "int",
        width: 150,
        align: "left",
        bind: { key: "taskStatus", data: [] },
      },
            {
        field: "taskStartDate",
        title: "任务开始日期",
        type: "datetime",
        width: 150,
        align: "left",
      },
      {
        field: "taskEndDate",
        title: "任务结束日期",
        type: "datetime",
        width: 150,
        align: "left",
      },
      {
        field: "taskOwner",
        title: "任务执行人",
        type: "string",
        width: 80,
        align: "left",
      },
      {
        field: "taskProductCode",
        title: "任务产品代码",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "taskOrderNo",
        title: "任务订单号",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "taskNumber",
        title: "任务数量",
        type: "string",
        width: 90,
        align: "left",
        hidden: true,
      },
      {
        field: "taskTaskID",
        title: "任务唯一ID",
        type: "int",
        width: 80,
        align: "left",
      },
      {
        field: "taskEndAddress",
        title: "任务终点地址",
        type: "sting",
        width: 150,
        align: "left",
      },
         {
        field: "taskZJFinishNumber",
        title: "任务正极完成数量",
        type: "sting",
        width: 150,
        align: "left",
      },
         {
        field: "taskFJFinishNumber",
        title: "任务负极完成数量",
        type: "sting",
        width: 150,
        align: "left",
      },
      {
        field: "wMSId",
        title: "WMS任务主键",
        type: "int",
        width: 120,
        align: "left",
        hidden: true,
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
        hidden: true,
      },
    ]);
    const detail = ref({
      cnName: "",
      table: "",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
  